package common.model;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.math.BigInteger;
import java.util.Date;

@Entity
public class IOAccount4Web {
    private Long id;
    private Long accountId;
    private String email;
    private String company;
    private Date createDate;
    private String createDs;
    private String status;
    private String packageType;
    private Long packageTypeId;
    private String pastDate;
    private BigInteger track;
    private BigInteger io;
    private BigInteger trackLimit;
    private BigInteger ioLimit;
    private Integer backTime;
    private String user;
    private String tell;
    private Long money;
    private Boolean ioStatus;
    private Boolean trackStatus;
    private Boolean remStatus;
    private Long bussinessMan;
    private String contractStatus;
    private Integer contractTime;
    private String saleName;
    private Boolean pressStatus;
    private String saleEamil;
    private Long sale;

    public Long getPackageTypeId() {
        return packageTypeId;
    }

    public void setPackageTypeId(Long packageTypeId) {
        this.packageTypeId = packageTypeId;
    }

    public String getSaleEamil() {
        return saleEamil;
    }

    public void setSaleEamil(String saleEamil) {
        this.saleEamil = saleEamil;
    }

    public Long getSale() {
        return sale;
    }

    public void setSale(Long sale) {
        this.sale = sale;
    }
    @Id
    @GeneratedValue
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPackageType() {
        return packageType;
    }

    public void setPackageType(String packageType) {
        this.packageType = packageType;
    }

    public String getPastDate() {
        return pastDate;
    }

    public void setPastDate(String pastDate) {
        this.pastDate = pastDate;
    }

    public BigInteger getTrack() {
        return track;
    }

    public void setTrack(BigInteger track) {
        this.track = track;
    }

    public BigInteger getIo() {
        return io;
    }

    public void setIo(BigInteger io) {
        this.io = io;
    }

    public BigInteger getTrackLimit() {
        return trackLimit;
    }

    public void setTrackLimit(BigInteger trackLimit) {
        this.trackLimit = trackLimit;
    }

    public BigInteger getIoLimit() {
        return ioLimit;
    }

    public void setIoLimit(BigInteger ioLimit) {
        this.ioLimit = ioLimit;
    }

    public Integer getBackTime() {
        return backTime;
    }

    public void setBackTime(Integer backTime) {
        this.backTime = backTime;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getTell() {
        return tell;
    }

    public void setTell(String tell) {
        this.tell = tell;
    }

    public Long getMoney() {
        return money;
    }

    public void setMoney(Long money) {
        this.money = money;
    }

    public Boolean getIoStatus() {
        return ioStatus;
    }

    public void setIoStatus(Boolean ioStatus) {
        this.ioStatus = ioStatus;
    }

    public Boolean getTrackStatus() {
        return trackStatus;
    }

    public void setTrackStatus(Boolean trackStatus) {
        this.trackStatus = trackStatus;
    }

    public Boolean getRemStatus() {
        return remStatus;
    }

    public void setRemStatus(Boolean remStatus) {
        this.remStatus = remStatus;
    }

    public Long getBussinessMan() {
        return bussinessMan;
    }

    public void setBussinessMan(Long bussinessMan) {
        this.bussinessMan = bussinessMan;
    }

    public String getCreateDs() {
        return createDs;
    }

    public void setCreateDs(String createDs) {
        this.createDs = createDs;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public Integer getContractTime() {
        return contractTime;
    }

    public void setContractTime(Integer contractTime) {
        this.contractTime = contractTime;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public Boolean getPressStatus() {
        return pressStatus;
    }

    public void setPressStatus(Boolean pressStatus) {
        this.pressStatus = pressStatus;
    }
}
